%global momorel 1

Summary: Run-time library to control radio transceivers and receivers
Name: hamlib
Version: 1.2.7.1
Release: %{momorel}m%{?dist}
License: LGPL
URL: http://hamlib.sourceforge.net/
Group: System Environment/Libraries
Source0: http://dl.sourceforge.net/sourceforge/%{name}/%{name}-%{version}.tar.gz 
NoSource: 0
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: gd-devel
BuildRequires: libusb-devel
BuildRequires: libxml2-devel
BuildRequires: pkgconfig
BuildRequires: swig

%description
Hamlib provides a standardised programming interface that applications 
can use to send the appropriate commands to a radio.
 
Also included in the package is a simple radio control program 'rigctl',
which lets one control a radio transceiver or receiver, either from
command line interface or in a text-oriented interactive interface.

%package devel
Summary: Development library to control radio transcievers and receivers
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: pkgconfig

%description devel
Hamlib radio control library C and C++ development headers and libraries
for building C and C++ applications with Hamlib.

%prep
%setup -q

%build
%configure \
	--with-rigmatrix \
	--without-perl-binding \
	--without-tcl-binding \
	--without-python-binding

# DO NOT USE %%make, make -j4 doesn't work (1.2.7.1-1m)
make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
%makeinstall

## do not remove *.la files, ktrack needs them
# # get rid of *.la files
# rm -f %%{buildroot}%%{_libdir}/*lib*.la

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS COPYING* ChangeLog INSTALL
%doc LICENSE NEWS PLAN README* THANKS TODO
%{_bindir}/rigctl
%{_bindir}/rigctld
%{_bindir}/rigmem
%{_bindir}/rigsmtr
%{_bindir}/rigswr
%{_bindir}/rotctl
%{_libdir}/hamlib-*.la
%{_libdir}/hamlib-*.so
%{_libdir}/libhamlib*.la
%{_libdir}/libhamlib*.so.*
%{_sbindir}/rpc.rigd
%{_sbindir}/rpc.rotd
%{_mandir}/man1/rigctl.1*
%{_mandir}/man1/rigmem.1*
%{_mandir}/man1/rigsmtr.1*
%{_mandir}/man1/rigswr.1*
%{_mandir}/man8/rigctld.8*
%{_mandir}/man1/rotctl.1*
%{_mandir}/man8/rpc.rigd.8*
%{_mandir}/man8/rpc.rotd.8*

%files devel
%defattr(-,root,root)
%doc README.developer
%{_includedir}/hamlib
%{_libdir}/pkgconfig/hamlib.pc
%{_libdir}/hamlib-*.a
%{_libdir}/libhamlib*.a
%{_libdir}/libhamlib*.so
%{_datadir}/aclocal/hamlib.m4

%changelog
* Fri Apr 18 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.2.7.1-1m)
- version 1.2.7.1

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.2.7-2m)
- rebuild against gcc43

* Sun Feb 17 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.2.7-1m)
- version 1.2.7

* Wed Feb 13 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (1.2.6.2-3m)
- %%NoSource -> NoSource

* Wed Jul 25 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.2.6.2-2m)
- use make instead of %%make, make -j4 doesn't work

* Wed Jul  4 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.2.6.2-1m)
- version 1.2.6.2

* Sun Jun 17 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.2.6.1-1m)
- version 1.2.6.1

* Sat Mar 31 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.2.6-1m)
- initial package for ktrack-0.3.0
